broadcom-sta-dkms_6.30.223.271-8_all.deb


Advertisement

Description

broadcom-sta-dkms - dkms source for the Broadcom STA Wireless driver

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Multiverse i386
Package filename broadcom-sta-dkms_6.30.223.271-8_all.deb
Package name broadcom-sta-dkms
Package version 6.30.223.271
Package release 8
Package architecture all
Package type deb
Category multiverse/admin
Homepage http://www.broadcom.com/support/802.11/linux_sta.php
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 2.10 MB
Installed size 13.81 MB
Broadcom STA is a binary-only device driver to support the following IEEE
802.11a/b/g/n wireless network cards: BCM4311-, BCM4312-, BCM4313-,
BCM4321-, BCM4322-, BCM43142-, BCM43224-, BCM43225-, BCM43227-, BCM43228-,
BCM4331-, BCM4360-, and BCM4352-based hardware.
This package provides the source code for the wl kernel modules and makes use
of the DKMS build utility to install them for the running kernel. The
alternative package broadcom-sta-source can be used instead in case of build
problems.
The wireless-tools package is also required in order to make use of these
modules. Kernel source or headers are required to compile these modules.

Alternatives

Package Version Architecture Repository
broadcom-sta-dkms_6.30.223.271-8_all.deb 6.30.223.271 all Ubuntu Multiverse
broadcom-sta-dkms - - -

Requires

Name Value
dkms >= 2.1.0.0

Provides

Name Value
broadcom-sta-modules -

Conflicts

Name Value
broadcom-sta-modules -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package broadcom-sta-dkms_6.30.223.271-8_all.deb
Source Package broadcom-sta

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install broadcom-sta-dkms deb package:
    # sudo apt-get install broadcom-sta-dkms

Files

Path
/etc/modprobe.d/broadcom-sta-dkms.conf
/usr/share/broadcom-sta/broadcom-sta.ids
/usr/share/doc/broadcom-sta-dkms/README.Debian
/usr/share/doc/broadcom-sta-dkms/README.txt.gz
/usr/share/doc/broadcom-sta-dkms/changelog.Debian.gz
/usr/share/doc/broadcom-sta-dkms/copyright
/usr/share/lintian/overrides/broadcom-sta-dkms
/usr/src/broadcom-sta-6.30.223.271/Makefile
/usr/src/broadcom-sta-6.30.223.271/dkms.conf
/usr/src/broadcom-sta-6.30.223.271/lib/wlc_hybrid.o_amd64
/usr/src/broadcom-sta-6.30.223.271/lib/wlc_hybrid.o_i386
/usr/src/broadcom-sta-6.30.223.271/src/common/include/proto/802.11.h
/usr/src/broadcom-sta-6.30.223.271/src/common/include/proto/802.1d.h
/usr/src/broadcom-sta-6.30.223.271/src/common/include/proto/bcmeth.h
/usr/src/broadcom-sta-6.30.223.271/src/common/include/proto/bcmevent.h
/usr/src/broadcom-sta-6.30.223.271/src/common/include/proto/bcmip.h
/usr/src/broadcom-sta-6.30.223.271/src/common/include/proto/ethernet.h
/usr/src/broadcom-sta-6.30.223.271/src/common/include/proto/ieee80211_radiotap.h
/usr/src/broadcom-sta-6.30.223.271/src/common/include/proto/wpa.h
/usr/src/broadcom-sta-6.30.223.271/src/include/bcmdefs.h
/usr/src/broadcom-sta-6.30.223.271/src/include/bcmendian.h
/usr/src/broadcom-sta-6.30.223.271/src/include/bcmutils.h
/usr/src/broadcom-sta-6.30.223.271/src/include/epivers.h
/usr/src/broadcom-sta-6.30.223.271/src/include/linux_osl.h
/usr/src/broadcom-sta-6.30.223.271/src/include/linuxver.h
/usr/src/broadcom-sta-6.30.223.271/src/include/osl.h
/usr/src/broadcom-sta-6.30.223.271/src/include/packed_section_end.h
/usr/src/broadcom-sta-6.30.223.271/src/include/packed_section_start.h
/usr/src/broadcom-sta-6.30.223.271/src/include/pcicfg.h
/usr/src/broadcom-sta-6.30.223.271/src/include/siutils.h
/usr/src/broadcom-sta-6.30.223.271/src/include/typedefs.h
/usr/src/broadcom-sta-6.30.223.271/src/include/wlioctl.h
/usr/src/broadcom-sta-6.30.223.271/src/include/bcmcrypto/tkhash.h
/usr/src/broadcom-sta-6.30.223.271/src/shared/linux_osl.c
/usr/src/broadcom-sta-6.30.223.271/src/shared/bcmwifi/include/bcmwifi_channels.h
/usr/src/broadcom-sta-6.30.223.271/src/shared/bcmwifi/include/bcmwifi_rates.h
/usr/src/broadcom-sta-6.30.223.271/src/wl/sys/wl_cfg80211_hybrid.c
/usr/src/broadcom-sta-6.30.223.271/src/wl/sys/wl_cfg80211_hybrid.h
/usr/src/broadcom-sta-6.30.223.271/src/wl/sys/wl_dbg.h
/usr/src/broadcom-sta-6.30.223.271/src/wl/sys/wl_export.h
/usr/src/broadcom-sta-6.30.223.271/src/wl/sys/wl_iw.c
/usr/src/broadcom-sta-6.30.223.271/src/wl/sys/wl_iw.h
/usr/src/broadcom-sta-6.30.223.271/src/wl/sys/wl_linux.c
/usr/src/broadcom-sta-6.30.223.271/src/wl/sys/wl_linux.h
/usr/src/broadcom-sta-6.30.223.271/src/wl/sys/wlc_ethereal.h
/usr/src/broadcom-sta-6.30.223.271/src/wl/sys/wlc_key.h
/usr/src/broadcom-sta-6.30.223.271/src/wl/sys/wlc_pub.h
/usr/src/broadcom-sta-6.30.223.271/src/wl/sys/wlc_types.h
/usr/src/broadcom-sta-6.30.223.271/src/wl/sys/wlc_utils.h
/usr/src/broadcom-sta-6.30.223.271/src/wl/sys/wlc_wowl.h

Changelog

2018-02-13 - Eduard Bloch <blade@debian.org>
broadcom-sta (6.30.223.271-8) unstable; urgency=low
[ Roger Shimizu ]
* debian/patches:
- Added 20-linux414.patch, and 21-linux415.patch to support
Linux kernel 4.15
(Thanks to Gerardo Esteban Malazdrewicz, closes: #885885)
- Fix typo in 14-rdtscl.patch
[ Eduard Bloch ]
* Dropped extra CHANGELOG file (ancient documentation)
* Standard version update to 4.1.3 (added lintian override to
broadcom-sta-source since debhelper is used on purpose therein)
2017-07-08 - Eduard Bloch <blade@debian.org>
broadcom-sta (6.30.223.271-7) unstable; urgency=medium
* Added 19-linux412.patch to support Linux kernel 4.12
(Thanks to koos vriezen, closes: #867258)
2017-05-09 - Eduard Bloch <blade@debian.org>
broadcom-sta (6.30.223.271-6) unstable; urgency=low
* Added 18-linux411.patch to support Linux kernel 4.11, by koos vriezen
(closes: #861807)
2016-12-20 - Eduard Bloch <blade@debian.org>
broadcom-sta (6.30.223.271-5) unstable; urgency=medium
* Disable the AppStream metadata again until it's clear how to work around
confusion with the devices better covered by the free driver
* Added 17-fix-kernel-warnings.patch from Luis Ortega (avoid useless kernel
warnings and possibly add better tracibility of bogus auth failures)
(closes: #843387, #843389)
* Updated upstream download URL
* Switch to debhelper 9 (no functional changes)
2016-10-04 - Eduard Bloch <blade@debian.org>
broadcom-sta (6.30.223.271-4) unstable; urgency=medium
* Added patch from Koos Vriezen to work around kernel crash with version
4.8+ (THANKS!) (closes: #839629)
* Experimental inclusion of AppStream metadata (closes: #838735)
* Standards update (no changes required)
2016-07-03 - Eduard Bloch <blade@debian.org>
broadcom-sta (6.30.223.271-3) unstable; urgency=low
* Added patch to support kernel 4.7 changes, based on
https://github.com/archlinuxcn/repo/blob/f4d6cff1cacf8dad13006fade5f96bc2cf020a9b/broadcom-wl-dkms/003-linux47.patch
with minor modifications (closes: #829363)
2015-12-25 - Eduard Bloch <blade@debian.org>
broadcom-sta (6.30.223.271-2) unstable; urgency=low
* Added 14-rdtscl.patch (closes: #808954), originally 002-rdtscl.patch from
https://aur.archlinux.org/cgit/aur.git/snapshot/broadcom-wl-dkms.tar.gz
* Added device id for Lenovo Yoga 3 (closes: 791672)
* More explanation about mutually exclusive build systems in the package
description (closes: #787091)
* changed the relation between -dkms and others to simple conflict with the
local binary packages
2015-10-05 - Eduard Bloch <blade@debian.org>
broadcom-sta (6.30.223.271-1) unstable; urgency=low
* New upstream release (Closes: #800880).
* Dropped applied upstream patches (also thanks to Rafael Cunha de Almeida):
- 09-fix_system_hang_when_deleting_monitor.patch
- 06-kernel-3.17.0.patch
- 08-enable_error_traces.patch (stop deviating from upstream)
- 10-0015-add-support-for-Linux-3.18.patch
- 11-0016-repair-make-warnings.patch
- 12-0017-add-support-for-Linux-4.0.patch
- 14-0018-cfg80211_disconnected.patch
* Adopted (Raphael):
- 05-kernel-3.15.0.patch
- 07-fix_procfs_handling.patch
* Refreshed: all other except for 00-changelog.patch
2015-09-26 - Eduard Bloch <blade@debian.org>
broadcom-sta (6.30.223.248-4) unstable; urgency=medium
* Adopting package after confirmation from maintainer, keeping Cyril
Lacoux as co-maintainer
* Added support for kernel 4.2 (0018-cfg80211_disconnected.patch, by Tim
Garnder / Canonical, closes: #796372)
2015-05-10 - Eduard Bloch <blade@debian.org>
broadcom-sta (6.30.223.248-3.3) unstable; urgency=low
* Non-maintainer upload.
* Rebuild to include arch-indep packages

See Also

Package Description
broadcom-sta-source_6.30.223.271-8_all.deb Source for the Broadcom STA Wireless driver
brother-cups-wrapper-ac_1.0.3-1-0ubuntu4_i386.deb Cups Wrapper drivers for ac brother printers
brother-cups-wrapper-bh7_1.0.0-10-0ubuntu6_i386.deb Cups Wrapper drivers for bh7 brother printers
brother-cups-wrapper-common_1.0.0-10-0ubuntu7_i386.deb Common files for Brother cups wrapper packages
brother-cups-wrapper-extra_1.2.1-0ubuntu4_i386.deb Cups Wrapper drivers for extra brother printers
brother-cups-wrapper-laser1_1.0.2-1-0ubuntu9_i386.deb Cups Wrapper drivers for laser1 brother printers
brother-cups-wrapper-laser_2.0.1-2-0ubuntu7_i386.deb Cups Wrapper drivers for laser brother printers
brother-cups-wrapper-mfc9420cn_1.0.0-1-0ubuntu7_i386.deb Cups Wrapper drivers for mfc9420cn brother printers
brother-lpr-drivers-ac_1.0.3-1-0ubuntu4_i386.deb LPR drivers for ac brother printers
brother-lpr-drivers-bh7_1.0.1-1-0ubuntu6_i386.deb LPR drivers for bh7 brother printers
brother-lpr-drivers-common_1.0.0-4-0ubuntu3_i386.deb Common files for brother-lpr-drivers packages
brother-lpr-drivers-extra_1.2.0-2-0ubuntu5_i386.deb LPR drivers for extra brother printers
brother-lpr-drivers-laser1_1.0.0-3-0ubuntu6_i386.deb LPR drivers for laser1 brother printers
brother-lpr-drivers-laser_2.0.1-3-0ubuntu5_i386.deb LPR drivers for laser brother printers
brother-lpr-drivers-mfc9420cn_1.0.0-3-0ubuntu4_i386.deb LPR driver for mfc9420cn brother printer
Advertisement
Advertisement